Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.
The primary amount for the payment, provided in the lowest denomination of the specified currency (e.g., 6540 for $65.40 USD). This field is mandatory for creating a payment.
The amount to be captured from the user's payment method, in the lowest denomination. If not provided, and capture_method is automatic, the full payment amount will be captured. If capture_method is manual, this can be specified in the /capture call. Must be less than or equal to the authorized amount.
Optional. A merchant-provided unique identifier for the payment, contains 30 characters long (e.g., "pay_mbabizu24mvu3mela5njyhpit4"). If provided, it ensures idempotency for the payment creation request. If omitted, Hyperswitch generates a unique ID for the payment.
Specifies the type of cardholder authentication to be applied for a payment.
ThreeDs: Requests 3D Secure (3DS) authentication. If the card is enrolled, 3DS authentication will be activated, potentially shifting chargeback liability to the issuer.
NoThreeDs: Indicates that 3D Secure authentication should not be performed. The liability for chargebacks typically remains with the merchant. This is often the default if not specified.
Note: The actual authentication behavior can also be influenced by merchant configuration and specific connector defaults. Some connectors might still enforce 3DS or bypass it regardless of this parameter.
If set to true, Hyperswitch attempts to confirm and authorize the payment immediately after creation, provided sufficient payment method details are included. If false or omitted (default is false), the payment is created with a status such as requires_payment_method or requires_confirmation, and a separate POST /payments/{payment_id}/confirm call is necessary to proceed with authorization.
Set to true to indicate that the customer is not in your checkout flow during this payment, and therefore is unable to authenticate. This parameter is intended for scenarios where you collect card details and charge them later. When making a recurring payment by passing a mandate_id, this parameter is mandatory
The URL to redirect the customer to after they complete the payment process or authentication. This is crucial for flows that involve off-site redirection (e.g., 3DS, some bank redirects, wallet payments).
As Hyperswitch tokenises the sensitive details about the payments method, it provides the payment_token as a reference to a stored payment method, ensuring that the sensitive details are not exposed in any manner.
For non-card charges, you can use this value as the complete description that appears on your customers’ statements. Must contain at least one letter, maximum 22 characters. To be deprecated soon, use billing_descriptor instead.
Provides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor. To be deprecated soon, use billing_descriptor instead.
Use this object to capture the details about the different products for which the payment is being made. The sum of amount across different products here should be equal to the overall payment amount
This "CustomerAcceptance" object is passed during Payments-Confirm request, it enlists the type, time, and mode of acceptance properties related to an acceptance done by the customer. The customer_acceptance sub object is usually passed by the SDK or client.
A unique identifier to link the payment to a mandate. To do Recurring payments after a mandate has been created, pass the mandate_id instead of payment_method_data
You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object.
Your unique identifier for this payment or order. This ID helps you reconcile payments on your system. If provided, it is passed to the connector if supported.
Specifies the category of a Merchant Initiated Transaction (MIT). In the case of MIT, mit_category tells what kind of MIT is being processed. In the case of CIT, it tells the future intended MIT type.
Represents the overall status of a payment intent.
The status transitions through various states depending on the payment method, confirmation, capture method, and any subsequent actions (like customer authentication or manual capture).
The payment amount. Amount for the payment in lowest denomination of the currency. (i.e) in cents for USD denomination, in paisa for INR denomination etc.,
The amount (in minor units) that can still be captured for this payment. This is relevant when capture_method is manual. Once fully captured, or if capture_method is automatic and payment succeeded, this will be 0.
The identifier for the processor merchant account. In platform-connected setups,
this is the connected merchant ID. For standard merchants, this is same as merchant_id.
The total amount (in minor units) that has been captured for this payment. For fauxpay sandbox connector, this might reflect the authorized amount if status is succeeded even if capture_method was manual.
Represents the initiator context in platform-connected setups
Used in payment/refund/dispute responses to indicate who initiated the operation
None indicates a standard merchant flow / JWT flow / Admin flow or insufficient information
The combined payment-method list, or the error that prevented it being built.
Serialized untagged: a success is the listing object itself, a failure is { "error": {...} }.
Gated on errors as well as v1: it holds [crate::errors::types::ErrorResponse], which
lives behind that feature because it pulls in reqwest. euclid_wasm builds
api_models/v1 without errors, and cannot take actix-web in via that feature on a
wasm target, so the section types simply do not exist there.
Wallet session tokens, or the error that prevented them being minted.
Serialized untagged: a success is the whole PaymentsSessionResponse object, a failure is
{ "error": {...} }.
Gated on errors as well as v1 — see [crate::payment_methods::PaymentMethodListResult].
A secret token unique to this payment intent. It is primarily used by client-side applications (e.g., Hyperswitch SDKs) to authenticate actions like confirming the payment or handling next actions. This secret should be handled carefully and not exposed publicly beyond its intended client-side use.
The identifier for the customer object. If not provided the customer ID will be autogenerated.
This field will be deprecated soon. Please refer to customer.id
Set to true to indicate that the customer is not in your checkout flow during this payment, and therefore is unable to authenticate. This parameter is intended for scenarios where you collect card details and charge them later. This parameter can only be used with confirm=true.
Specifies the type of cardholder authentication to be applied for a payment.
ThreeDs: Requests 3D Secure (3DS) authentication. If the card is enrolled, 3DS authentication will be activated, potentially shifting chargeback liability to the issuer.
NoThreeDs: Indicates that 3D Secure authentication should not be performed. The liability for chargebacks typically remains with the merchant. This is often the default if not specified.
Note: The actual authentication behavior can also be influenced by merchant configuration and specific connector defaults. Some connectors might still enforce 3DS or bypass it regardless of this parameter.
For non-card charges, you can use this value as the complete description that appears on your customers’ statements. Must contain at least one letter, maximum 22 characters. To be deprecated soon, use billing_descriptor instead.
Provides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 255 characters for the concatenated descriptor. To be deprecated soon, use billing_descriptor instead.
A label identifying the specific merchant connector account (MCA) used for this payment. This often combines the connector name, business country, and a custom label (e.g., "stripe_US_primary").
The label identifying the specific business unit or profile under which this payment was processed by the merchant. To be deprecated soon. Pass the profile_id instead
An optional sub-label for further categorization of the business unit or profile used for this payment. To be deprecated soon. Pass the profile_id instead
You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object.
Denotes the action(approve or reject) taken by merchant in case of manual review. Manual review can occur when the transaction is marked as risky by the frm_processor, payment processor or when there is underpayment/over payment incase of crypto payment
A unique identifier for the payment method used in this payment. If the payment method was saved or tokenized, this ID can be used to reference it for future transactions or recurring payments.
Refer payment_method_tokenization_details for detailed view of payment method tokenization
The network transaction ID is a unique identifier for the transaction as recognized by the payment network (e.g., Visa, Mastercard), this ID can be used to reference it for future transactions or recurring payments.
Refer payment_method_tokenization_details for detailed view of payment method tokenization
Payment Account Reference (PAR) returned by the connector for the underlying card, used to link tokenized and non-tokenized transactions for the same card.
The Mastercard Transaction Link Identifier (TLID) for this payment. Returned on CITs that set up
stored credentials. External-vault merchants should persist this and echo it back on subsequent
MIT requests. Mandatory for Mastercard recurring/MIT (no static fallback).
You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. FRM Metadata is useful for storing additional, structured information on an object related to FRM.
Merchant's identifier for the payment/invoice. This will be sent to the connector
if the connector provides support to accept multiple reference ids.
In case the connector supports only one reference id, Hyperswitch's Payment ID will be sent as reference.
Specifies the category of a Merchant Initiated Transaction (MIT). In the case of MIT, mit_category tells what kind of MIT is being processed. In the case of CIT, it tells the future intended MIT type.
Indicates whether this payment is an account funded transaction, where funds are pulled
from a card account to fund another account rather than to pay for goods or services.
A connector-specific identifier representing the stored payment instrument
Maximum string length: 255
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Hyperswitch","colors":{"primary":"#4F8EFF","light":"#6BA3FF","dark":"#2563EB"},"logo":{"light":"/logo/light.svg","dark":"/logo/dark.svg"},"favicon":"/favicon.png","api":{"openapi":["v1/openapi_spec_v1.json","v2/openapi_spec_v2.json","rust_locker_open_api_spec.yml","decision_engine_openapi-specs.json"]},"background":{"color":{"light":"#FAFBFC","dark":"#1d1d1d"}},"navbar":{"links":[{"href":"https://inviter.co/hyperswitch-slack","label":"Contact Us"},{"href":"https://deepwiki.com/juspay/hyperswitch","label":"Explore with Deepwiki"}],"primary":{"type":"button","label":"Self-Deploy","href":"https://docs.hyperswitch.io/hyperswitch-open-source/overview"}},"footer":{"socials":{"github":"https://github.com/juspay/hyperswitch","linkedin":"https://www.linkedin.com/company/hyperswitch"}},"integrations":{"gtm":{"tagId":"GTM-PLBNKQFQ"},"mixpanel":{"projectToken":"b00355f29d9548d1333608df71d5d53d"}},"contextual":{"options":["copy","claude","chatgpt","view"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"hasAudioNarration":false,"customDomains":[],"gitSource":{"type":"github","owner":"local","repo":"local","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":"local","isBase":true},"buildId":"local","clientVersion":"0.0.4064"},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false,"isLoggedInCli":false},"customCss":[],"page":{"pagePath":"v1/payments/payments--confirm","slug":"/v1/payments/payments--confirm","pageMetadata":{"openapi":"post /payments/{payment_id}/confirm","description":"Confirms a payment intent that was previously created with `confirm: false`. This action attempts to authorize the payment with the payment processor.\n\nExpected status transitions after confirmation:\n- `succeeded`: If authorization is successful and `capture_method` is `automatic`.\n- `requires_capture`: If authorization is successful and `capture_method` is `manual`.\n- `failed`: If authorization fails.","href":"/v1/payments/payments--confirm","title":"Payments - Confirm"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n li: \"li\",\n p: \"p\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"Confirms a payment intent that was previously created with \", _jsx(_components.code, {\n children: \"confirm: false\"\n }), \". This action attempts to authorize the payment with the payment processor.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Expected status transitions after confirmation:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"succeeded\"\n }), \": If authorization is successful and \", _jsx(_components.code, {\n children: \"capture_method\"\n }), \" is \", _jsx(_components.code, {\n children: \"automatic\"\n }), \".\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"requires_capture\"\n }), \": If authorization is successful and \", _jsx(_components.code, {\n children: \"capture_method\"\n }), \" is \", _jsx(_components.code, {\n children: \"manual\"\n }), \".\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"failed\"\n }), \": If authorization fails.\"]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /payments/{payment_id}/confirm","description":"Confirms a payment intent that was previously created with `confirm: false`. This action attempts to authorize the payment with the payment processor.\n\nExpected status transitions after confirmation:\n- `succeeded`: If authorization is successful and `capture_method` is `automatic`.\n- `requires_capture`: If authorization is successful and `capture_method` is `manual`.\n- `failed`: If authorization fails.","href":"/v1/payments/payments--confirm","title":"Payments - Confirm"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Payments"],"summary":"Payments - Confirm","description":"Confirms a payment intent that was previously created with `confirm: false`. This action attempts to authorize the payment with the payment processor.\n\nExpected status transitions after confirmation:\n- `succeeded`: If authorization is successful and `capture_method` is `automatic`.\n- `requires_capture`: If authorization is successful and `capture_method` is `manual`.\n- `failed`: If authorization fails.","operationId":"Confirm a Payment","parameters":["030d6c0d-0195-4c86-afad-527d995a4705","4c89a63c-96e8-4dd4-aae4-c1c53de9de39"],"requestBody":"b7cca53c-0986-4160-8a41-defd4ce93633","responses":{"200":"a84fe034-ebcb-468d-9105-fcddf7f02bef","400":"8103404f-7453-4016-a8ec-9e6e7927ecb7"},"security":["7bad3ff4-f636-4c5e-bc0c-1bd7ae384261","af361e27-eca4-40df-b525-8011140406d6"],"method":"post","type":"path","servers":["0778c9b5-e21c-4cbe-a5ea-48d4bfb2a060"],"path":"/payments/{payment_id}/confirm","baseUrlOptions":["https://sandbox.hyperswitch.io"],"title":"Payments - Confirm","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"030d6c0d-0195-4c86-afad-527d995a4705":{"name":"payment_id","in":"path","description":"The identifier for payment","required":true,"schema":{"type":"string","isRequired":true,"description":"The identifier for payment","uniqueKey":"","typeLabel":"string"}},"4c89a63c-96e8-4dd4-aae4-c1c53de9de39":{"name":"X-Connected-Merchant-Id","in":"header","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","required":false,"schema":{"oneOf":[{"type":"string","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"example":"merchant_abc"}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"amount":{"oneOf":[{"type":"integer","format":"int64","description":"The primary amount for the payment, provided in the lowest denomination of the specified currency (e.g., 6540 for $65.40 USD). This field is mandatory for creating a payment.","example":6540,"minimum":0,"uniqueKey":"amount.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"The primary amount for the payment, provided in the lowest denomination of the specified currency (e.g., 6540 for $65.40 USD). This field is mandatory for creating a payment.","example":6540,"minimum":0,"uniqueKey":"amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"amount","typeLabel":"integer\u003cint64> | null"},"order_tax_amount":{"oneOf":[{"type":"integer","format":"int64","description":"Total tax amount applicable to the order, in the lowest denomination of the currency.","example":6540,"uniqueKey":"order_tax_amount.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"Total tax amount applicable to the order, in the lowest denomination of the currency.","example":6540,"uniqueKey":"order_tax_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_tax_amount","typeLabel":"integer\u003cint64> | null"},"currency":{"oneOf":[{"type":"string","description":"The three-letter ISO 4217 currency code (e.g., \"USD\", \"EUR\") for the payment amount. This field is mandatory for creating a payment.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLF","CLP","CNY","COP","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SLL","SOS","SRD","SSP","STD","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWL"],"uniqueKey":"currency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"currency","typeLabel":"enum\u003cstring> | null"},"amount_to_capture":{"oneOf":[{"type":"integer","format":"int64","description":"The amount to be captured from the user's payment method, in the lowest denomination. If not provided, and `capture_method` is `automatic`, the full payment `amount` will be captured. If `capture_method` is `manual`, this can be specified in the `/capture` call. Must be less than or equal to the authorized amount.","example":6540,"uniqueKey":"amount_to_capture.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"The amount to be captured from the user's payment method, in the lowest denomination. If not provided, and `capture_method` is `automatic`, the full payment `amount` will be captured. If `capture_method` is `manual`, this can be specified in the `/capture` call. Must be less than or equal to the authorized amount.","example":6540,"uniqueKey":"amount_to_capture.oneOf.1","typeLabel":"null"}],"uniqueKey":"amount_to_capture","typeLabel":"integer\u003cint64> | null"},"shipping_cost":{"oneOf":[{"type":"integer","format":"int64","description":"The shipping cost for the payment. This is required for tax calculation in some regions.","example":6540,"uniqueKey":"shipping_cost.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"The shipping cost for the payment. This is required for tax calculation in some regions.","example":6540,"uniqueKey":"shipping_cost.oneOf.1","typeLabel":"null"}],"uniqueKey":"shipping_cost","typeLabel":"integer\u003cint64> | null"},"payment_id":{"oneOf":[{"type":"string","description":"Optional. A merchant-provided unique identifier for the payment, contains 30 characters long (e.g., \"pay_mbabizu24mvu3mela5njyhpit4\"). If provided, it ensures idempotency for the payment creation request. If omitted, Hyperswitch generates a unique ID for the payment.","example":"pay_mbabizu24mvu3mela5njyhpit4","maxLength":30,"minLength":30,"uniqueKey":"payment_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Optional. A merchant-provided unique identifier for the payment, contains 30 characters long (e.g., \"pay_mbabizu24mvu3mela5njyhpit4\"). If provided, it ensures idempotency for the payment creation request. If omitted, Hyperswitch generates a unique ID for the payment.","example":"pay_mbabizu24mvu3mela5njyhpit4","maxLength":30,"minLength":30,"uniqueKey":"payment_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_id","typeLabel":"string | null"},"routing":{"oneOf":[{"type":"object","title":"Single","required":["type","data"],"properties":{"type":{"type":"string","enum":["single"],"isRequired":true,"uniqueKey":"routing.oneOf.0.type","typeLabel":"enum\u003cstring>"},"data":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"routing.oneOf.0.data.connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"routing.oneOf.0.data.merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"routing.oneOf.0.data.merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"routing.oneOf.0.data.merchant_connector_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"routing.oneOf.0.data","typeLabel":"object"}},"uniqueKey":"routing.oneOf.0","typeLabel":"Single · object"},{"type":"object","title":"Priority","required":["type","data"],"properties":{"type":{"type":"string","enum":["priority"],"isRequired":true,"uniqueKey":"routing.oneOf.1.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"routing.oneOf.1.data.items.[INDEX].connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"routing.oneOf.1.data.items.[INDEX].merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"routing.oneOf.1.data.items.[INDEX].merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"routing.oneOf.1.data.items.[INDEX].merchant_connector_id","typeLabel":"string | null"}},"uniqueKey":"routing.oneOf.1.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"routing.oneOf.1.data","typeLabel":"object[]"}},"uniqueKey":"routing.oneOf.1","typeLabel":"Priority · object"},{"type":"object","title":"VolumeSplit","required":["type","data"],"properties":{"type":{"type":"string","enum":["volume_split"],"isRequired":true,"uniqueKey":"routing.oneOf.2.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","required":["connector","split"],"properties":{"connector":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"routing.oneOf.2.data.items.[INDEX].connector.connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"routing.oneOf.2.data.items.[INDEX].connector.merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"routing.oneOf.2.data.items.[INDEX].connector.merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"routing.oneOf.2.data.items.[INDEX].connector.merchant_connector_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"routing.oneOf.2.data.items.[INDEX].connector","typeLabel":"object"},"split":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"routing.oneOf.2.data.items.[INDEX].split","typeLabel":"integer\u003cint32>"}},"uniqueKey":"routing.oneOf.2.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"routing.oneOf.2.data","typeLabel":"object[]"}},"uniqueKey":"routing.oneOf.2","typeLabel":"VolumeSplit · object"},{"type":"null","uniqueKey":"routing.oneOf.3","typeLabel":"null"}],"uniqueKey":"routing","typeLabel":"Single · object | Priority · object | VolumeSplit · object | null"},"connector":{"oneOf":[{"type":"array","items":{"type":"string","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bambora","bamboraapac","bankofamerica","barclaycard","billwerk","bitpay","bluesnap","blackhawknetwork","calida","boku","braintree","breadpay","cardinal","cashtocode","celero","chargebee","checkbook","checkout","citigate","coinbase","coingate","custombilling","cryptopay","ctp_mastercard","ctp_visa","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","envoy","elavon","etisalat","elavon_pg","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","gpayments","hipay","helcim","hyperpg","hyperswitch_vault","interpayments","inespay","iatapay","ilixium","imerchantsolutions","itaubank","jpmorgan","jpmorgan_orbital","juspay","juspaythreedsserver","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","netcetera","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payload","payme","paynearme","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","saferpay","santander","shift4","silverflow","square","stax","stripe","stripebilling","taxjar","threedsecureio","tesouro","tokenex","tokenio","trustly","truelayer","trustpay","trustpayments","tsys","tsys_transit","vgs","volt","wellsfargo","wise","worldline","worldpay","worldpayraft","worldpayvantiv","worldpayxml","worldpaymodular","signifyd","nsure","plaid","riskified","sanlam_payshield","xendit","zen","zift","zsl"],"uniqueKey":"connector.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"description":"This allows to manually select a connector with which the payment can go through.","example":["stripe","adyen"],"uniqueKey":"connector.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"null","items":{"type":"string","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bambora","bamboraapac","bankofamerica","barclaycard","billwerk","bitpay","bluesnap","blackhawknetwork","calida","boku","braintree","breadpay","cardinal","cashtocode","celero","chargebee","checkbook","checkout","citigate","coinbase","coingate","custombilling","cryptopay","ctp_mastercard","ctp_visa","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","envoy","elavon","etisalat","elavon_pg","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","gpayments","hipay","helcim","hyperpg","hyperswitch_vault","interpayments","inespay","iatapay","ilixium","imerchantsolutions","itaubank","jpmorgan","jpmorgan_orbital","juspay","juspaythreedsserver","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","netcetera","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payload","payme","paynearme","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","saferpay","santander","shift4","silverflow","square","stax","stripe","stripebilling","taxjar","threedsecureio","tesouro","tokenex","tokenio","trustly","truelayer","trustpay","trustpayments","tsys","tsys_transit","vgs","volt","wellsfargo","wise","worldline","worldpay","worldpayraft","worldpayvantiv","worldpayxml","worldpaymodular","signifyd","nsure","plaid","riskified","sanlam_payshield","xendit","zen","zift","zsl"]},"description":"This allows to manually select a connector with which the payment can go through.","example":["stripe","adyen"],"uniqueKey":"connector.oneOf.1","typeLabel":"null"}],"uniqueKey":"connector","typeLabel":"enum\u003cstring>[] | null"},"capture_method":{"oneOf":[{"type":"string","description":"Specifies how the payment is captured.\n- `automatic`: Funds are captured immediately after successful authorization. This is the default behavior if the field is omitted.\n- `manual`: Funds are authorized but not captured. A separate request to the `/payments/{payment_id}/capture` endpoint is required to capture the funds.","enum":["automatic","manual","manual_multiple","scheduled","sequential_automatic"],"uniqueKey":"capture_method.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"capture_method.oneOf.1","typeLabel":"null"}],"uniqueKey":"capture_method","typeLabel":"enum\u003cstring> | null"},"authentication_type":{"oneOf":[{"type":"string","description":"Specifies the type of cardholder authentication to be applied for a payment.\n\n- `ThreeDs`: Requests 3D Secure (3DS) authentication. If the card is enrolled, 3DS authentication will be activated, potentially shifting chargeback liability to the issuer.\n- `NoThreeDs`: Indicates that 3D Secure authentication should not be performed. The liability for chargebacks typically remains with the merchant. This is often the default if not specified.\n\nNote: The actual authentication behavior can also be influenced by merchant configuration and specific connector defaults. Some connectors might still enforce 3DS or bypass it regardless of this parameter.","default":"three_ds","enum":["three_ds","no_three_ds"],"uniqueKey":"authentication_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"authentication_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"authentication_type","typeLabel":"enum\u003cstring> | null"},"billing":{"oneOf":[{"type":"object","properties":{"address":{"oneOf":[{"type":"object","description":"Address details","properties":{"city":{"oneOf":[{"type":"string","description":"The city, district, suburb, town, or village of the address.","example":"New York","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","description":"The city, district, suburb, town, or village of the address.","example":"New York","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","US"],"uniqueKey":"billing.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"billing.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.country","typeLabel":"enum\u003cstring> | null"},"line1":{"oneOf":[{"type":"string","description":"The first line of the street address or P.O. Box.","example":"123, King Street","maxLength":200,"uniqueKey":"billing.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first line of the street address or P.O. Box.","example":"123, King Street","maxLength":200,"uniqueKey":"billing.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","description":"The second line of the street address or P.O. Box (e.g., apartment, suite, unit, or building).","example":"Powelson Avenue","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","description":"The second line of the street address or P.O. Box (e.g., apartment, suite, unit, or building).","example":"Powelson Avenue","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"line3":{"oneOf":[{"type":"string","description":"The third line of the street address, if applicable.","example":"Bridgewater","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.line3.oneOf.0","typeLabel":"string"},{"type":"null","description":"The third line of the street address, if applicable.","example":"Bridgewater","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.line3.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.line3","typeLabel":"string | null"},"zip":{"oneOf":[{"type":"string","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.zip.oneOf.0","typeLabel":"string"},{"type":"null","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.zip.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.zip","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","description":"The address state","example":"New York","uniqueKey":"billing.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","description":"The address state","example":"New York","uniqueKey":"billing.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"first_name":{"oneOf":[{"type":"string","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"billing.oneOf.0.address.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"billing.oneOf.0.address.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"billing.oneOf.0.address.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"billing.oneOf.0.address.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.last_name","typeLabel":"string | null"},"origin_zip":{"oneOf":[{"type":"string","description":"The zip/postal code of the origin","example":"08807","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.origin_zip.oneOf.0","typeLabel":"string"},{"type":"null","description":"The zip/postal code of the origin","example":"08807","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.origin_zip.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.origin_zip","typeLabel":"string | null"}},"uniqueKey":"billing.oneOf.0.address.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"billing.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address","typeLabel":"object | null"},"phone":{"oneOf":[{"type":"object","properties":{"number":{"oneOf":[{"type":"string","description":"The contact number","example":"9123456789","uniqueKey":"billing.oneOf.0.phone.oneOf.0.number.oneOf.0","typeLabel":"string"},{"type":"null","description":"The contact number","example":"9123456789","uniqueKey":"billing.oneOf.0.phone.oneOf.0.number.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.phone.oneOf.0.number","typeLabel":"string | null"},"country_code":{"oneOf":[{"type":"string","description":"The country code attached to the number","example":"+1","uniqueKey":"billing.oneOf.0.phone.oneOf.0.country_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country code attached to the number","example":"+1","uniqueKey":"billing.oneOf.0.phone.oneOf.0.country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.phone.oneOf.0.country_code","typeLabel":"string | null"}},"uniqueKey":"billing.oneOf.0.phone.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"billing.oneOf.0.phone.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.phone","typeLabel":"object | null"},"email":{"oneOf":[{"type":"string","uniqueKey":"billing.oneOf.0.email.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"billing.oneOf.0.email.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.email","typeLabel":"string | null"}},"uniqueKey":"billing.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"billing.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing","typeLabel":"object | null"},"confirm":{"oneOf":[{"type":"boolean","description":"If set to `true`, Hyperswitch attempts to confirm and authorize the payment immediately after creation, provided sufficient payment method details are included. If `false` or omitted (default is `false`), the payment is created with a status such as `requires_payment_method` or `requires_confirmation`, and a separate `POST /payments/{payment_id}/confirm` call is necessary to proceed with authorization.","default":false,"example":true,"uniqueKey":"confirm.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"If set to `true`, Hyperswitch attempts to confirm and authorize the payment immediately after creation, provided sufficient payment method details are included. If `false` or omitted (default is `false`), the payment is created with a status such as `requires_payment_method` or `requires_confirmation`, and a separate `POST /payments/{payment_id}/confirm` call is necessary to proceed with authorization.","default":false,"example":true,"uniqueKey":"confirm.oneOf.1","typeLabel":"null"}],"uniqueKey":"confirm","typeLabel":"boolean | null"},"customer":{"oneOf":[{"type":"object","description":"Passing this object creates a new customer or attaches an existing customer to the payment","properties":{"id":{"oneOf":[{"type":"string","description":"The identifier for the customer.","example":"cus_y3oqhf46pyzuxjbcn2giaqnb44","maxLength":64,"minLength":1,"uniqueKey":"customer.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The identifier for the customer.","example":"cus_y3oqhf46pyzuxjbcn2giaqnb44","maxLength":64,"minLength":1,"uniqueKey":"customer.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.0.id","typeLabel":"string | null"},"name":{"oneOf":[{"type":"string","description":"The customer's name","example":"John Doe","maxLength":255,"uniqueKey":"customer.oneOf.0.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The customer's name","example":"John Doe","maxLength":255,"uniqueKey":"customer.oneOf.0.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.0.name","typeLabel":"string | null"},"email":{"oneOf":[{"type":"string","description":"The customer's email address","example":"johntest@test.com","maxLength":255,"uniqueKey":"customer.oneOf.0.email.oneOf.0","typeLabel":"string"},{"type":"null","description":"The customer's email address","example":"johntest@test.com","maxLength":255,"uniqueKey":"customer.oneOf.0.email.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.0.email","typeLabel":"string | null"},"phone":{"oneOf":[{"type":"string","description":"The customer's phone number","example":"9123456789","maxLength":10,"uniqueKey":"customer.oneOf.0.phone.oneOf.0","typeLabel":"string"},{"type":"null","description":"The customer's phone number","example":"9123456789","maxLength":10,"uniqueKey":"customer.oneOf.0.phone.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.0.phone","typeLabel":"string | null"},"phone_country_code":{"oneOf":[{"type":"string","description":"The country code for the customer's phone number","example":"+1","maxLength":2,"uniqueKey":"customer.oneOf.0.phone_country_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country code for the customer's phone number","example":"+1","maxLength":2,"uniqueKey":"customer.oneOf.0.phone_country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.0.phone_country_code","typeLabel":"string | null"},"tax_registration_id":{"oneOf":[{"type":"string","description":"The tax registration identifier of the customer.","maxLength":255,"uniqueKey":"customer.oneOf.0.tax_registration_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The tax registration identifier of the customer.","maxLength":255,"uniqueKey":"customer.oneOf.0.tax_registration_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.0.tax_registration_id","typeLabel":"string | null"},"document_details":{"oneOf":[{"type":"object","required":["document_type","document_number"],"properties":{"document_type":{"type":"string","description":"Represents the type of identification document used for validation.","enum":["cpf","cnpj","psn","other"],"isRequired":true,"uniqueKey":"customer.oneOf.0.document_details.oneOf.0.document_type","typeLabel":"enum\u003cstring>"},"document_number":{"type":"string","description":"The customer's document number\nLength of the document number depends upon the document_type.\nFor CPF/CNPJ it is typically 11/14 digits long","example":"12345678911","maxLength":255,"isRequired":true,"uniqueKey":"customer.oneOf.0.document_details.oneOf.0.document_number","typeLabel":"string"}},"uniqueKey":"customer.oneOf.0.document_details.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.0.document_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.0.document_details","typeLabel":"object | null"},"date_of_birth":{"oneOf":[{"type":"string","format":"date","description":"The customer's date of birth","example":"1990-01-31","uniqueKey":"customer.oneOf.0.date_of_birth.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","description":"The customer's date of birth","example":"1990-01-31","uniqueKey":"customer.oneOf.0.date_of_birth.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.0.date_of_birth","typeLabel":"string\u003cdate> | null"}},"uniqueKey":"customer.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer","typeLabel":"object | null"},"customer_id":{"oneOf":[{"type":"string","description":"The identifier for the customer","deprecated":true,"example":"cus_y3oqhf46pyzuxjbcn2giaqnb44","maxLength":64,"minLength":1,"uniqueKey":"customer_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The identifier for the customer","deprecated":true,"example":"cus_y3oqhf46pyzuxjbcn2giaqnb44","maxLength":64,"minLength":1,"uniqueKey":"customer_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer_id","typeLabel":"string | null"},"off_session":{"oneOf":[{"type":"boolean","description":"Set to true to indicate that the customer is not in your checkout flow during this payment, and therefore is unable to authenticate. This parameter is intended for scenarios where you collect card details and charge them later. When making a recurring payment by passing a mandate_id, this parameter is mandatory","example":true,"uniqueKey":"off_session.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Set to true to indicate that the customer is not in your checkout flow during this payment, and therefore is unable to authenticate. This parameter is intended for scenarios where you collect card details and charge them later. When making a recurring payment by passing a mandate_id, this parameter is mandatory","example":true,"uniqueKey":"off_session.oneOf.1","typeLabel":"null"}],"uniqueKey":"off_session","typeLabel":"boolean | null"},"description":{"oneOf":[{"type":"string","description":"An arbitrary string attached to the payment. Often useful for displaying to users or for your own internal record-keeping.","example":"It's my first payment request","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","description":"An arbitrary string attached to the payment. Often useful for displaying to users or for your own internal record-keeping.","example":"It's my first payment request","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"return_url":{"oneOf":[{"type":"string","description":"The URL to redirect the customer to after they complete the payment process or authentication. This is crucial for flows that involve off-site redirection (e.g., 3DS, some bank redirects, wallet payments).","example":"https://hyperswitch.io","maxLength":2048,"uniqueKey":"return_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The URL to redirect the customer to after they complete the payment process or authentication. This is crucial for flows that involve off-site redirection (e.g., 3DS, some bank redirects, wallet payments).","example":"https://hyperswitch.io","maxLength":2048,"uniqueKey":"return_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"return_url","typeLabel":"string | null"},"setup_future_usage":{"oneOf":[{"type":"string","description":"Specifies how the payment method can be used for future payments.\n- `off_session`: The payment method can be used for future payments when the customer is not present.\n- `on_session`: The payment method is intended for use only when the customer is present during checkout.\nIf omitted, defaults to `on_session`.","enum":["off_session","on_session"],"uniqueKey":"setup_future_usage.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"setup_future_usage.oneOf.1","typeLabel":"null"}],"uniqueKey":"setup_future_usage","typeLabel":"enum\u003cstring> | null"},"payment_method_data":{"oneOf":[{"type":"object","title":"Card","description":"The payment method information provided for making a payment","required":["card"],"properties":{"card":{"type":"object","required":["card_number","card_exp_month","card_exp_year","card_holder_name","card_cvc"],"properties":{"card_number":{"type":"string","description":"The card number","example":"4242424242424242","isRequired":true,"uniqueKey":"payment_method_data.oneOf.0.card.card_number","typeLabel":"string"},"card_exp_month":{"type":"string","description":"The card's expiry month","example":"24","isRequired":true,"uniqueKey":"payment_method_data.oneOf.0.card.card_exp_month","typeLabel":"string"},"card_exp_year":{"type":"string","description":"The card's expiry year","example":"24","isRequired":true,"uniqueKey":"payment_method_data.oneOf.0.card.card_exp_year","typeLabel":"string"},"card_holder_name":{"type":"string","description":"The card holder's name","example":"John Test","isRequired":true,"uniqueKey":"payment_method_data.oneOf.0.card.card_holder_name","typeLabel":"string"},"card_cvc":{"type":"string","description":"The CVC number for the card","example":"242","isRequired":true,"uniqueKey":"payment_method_data.oneOf.0.card.card_cvc","typeLabel":"string"},"card_issuer":{"oneOf":[{"type":"string","description":"The name of the issuer of card","example":"chase","uniqueKey":"payment_method_data.oneOf.0.card.card_issuer.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the issuer of card","example":"chase","uniqueKey":"payment_method_data.oneOf.0.card.card_issuer.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.card_issuer","typeLabel":"string | null"},"card_network":{"oneOf":[{"type":"string","description":"Indicates the card network.","enum":["Visa","Mastercard","AmericanExpress","JCB","DinersClub","Discover","CartesBancaires","UnionPay","Interac","RuPay","Maestro","Star","Pulse","Accel","Nyce","Prop","PrivateLabel","Dinacard"],"uniqueKey":"payment_method_data.oneOf.0.card.card_network.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.card.card_network.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.card_network","typeLabel":"enum\u003cstring> | null"},"card_type":{"oneOf":[{"type":"string","example":"CREDIT","uniqueKey":"payment_method_data.oneOf.0.card.card_type.oneOf.0","typeLabel":"string"},{"type":"null","example":"CREDIT","uniqueKey":"payment_method_data.oneOf.0.card.card_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.card_type","typeLabel":"string | null"},"card_subtype":{"oneOf":[{"type":"string","description":"The product the card is issued under, e.g. `CLASSIC` or `ELECTRON`","example":"CLASSIC","uniqueKey":"payment_method_data.oneOf.0.card.card_subtype.oneOf.0","typeLabel":"string"},{"type":"null","description":"The product the card is issued under, e.g. `CLASSIC` or `ELECTRON`","example":"CLASSIC","uniqueKey":"payment_method_data.oneOf.0.card.card_subtype.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.card_subtype","typeLabel":"string | null"},"card_segment_type":{"oneOf":[{"type":"string","enum":["business","commercial","consumer","government"],"uniqueKey":"payment_method_data.oneOf.0.card.card_segment_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.card.card_segment_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.card_segment_type","typeLabel":"enum\u003cstring> | null"},"funding_source":{"oneOf":[{"type":"string","enum":["CREDIT","DEBIT","DEFERRED DEBIT","PREPAID","CHARGE CARD"],"uniqueKey":"payment_method_data.oneOf.0.card.funding_source.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.card.funding_source.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.funding_source","typeLabel":"enum\u003cstring> | null"},"card_issuing_country":{"oneOf":[{"type":"string","example":"INDIA","uniqueKey":"payment_method_data.oneOf.0.card.card_issuing_country.oneOf.0","typeLabel":"string"},{"type":"null","example":"INDIA","uniqueKey":"payment_method_data.oneOf.0.card.card_issuing_country.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.card_issuing_country","typeLabel":"string | null"},"card_issuing_country_code":{"oneOf":[{"type":"string","example":"IN","uniqueKey":"payment_method_data.oneOf.0.card.card_issuing_country_code.oneOf.0","typeLabel":"string"},{"type":"null","example":"IN","uniqueKey":"payment_method_data.oneOf.0.card.card_issuing_country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.card_issuing_country_code","typeLabel":"string | null"},"bank_code":{"oneOf":[{"type":"string","example":"JP_AMEX","uniqueKey":"payment_method_data.oneOf.0.card.bank_code.oneOf.0","typeLabel":"string"},{"type":"null","example":"JP_AMEX","uniqueKey":"payment_method_data.oneOf.0.card.bank_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.bank_code","typeLabel":"string | null"},"nick_name":{"oneOf":[{"type":"string","description":"The card holder's nick name","example":"John Test","uniqueKey":"payment_method_data.oneOf.0.card.nick_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The card holder's nick name","example":"John Test","uniqueKey":"payment_method_data.oneOf.0.card.nick_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.nick_name","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.0.card","typeLabel":"object"},"billing":{"oneOf":[{"type":"object","properties":{"address":{"oneOf":[{"type":"object","description":"Address details","properties":{"city":{"oneOf":[{"type":"string","description":"The city, district, suburb, town, or village of the address.","example":"New York","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","description":"The city, district, suburb, town, or village of the address.","example":"New York","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","US"],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.country","typeLabel":"enum\u003cstring> | null"},"line1":{"oneOf":[{"type":"string","description":"The first line of the street address or P.O. Box.","example":"123, King Street","maxLength":200,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first line of the street address or P.O. Box.","example":"123, King Street","maxLength":200,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","description":"The second line of the street address or P.O. Box (e.g., apartment, suite, unit, or building).","example":"Powelson Avenue","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","description":"The second line of the street address or P.O. Box (e.g., apartment, suite, unit, or building).","example":"Powelson Avenue","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"line3":{"oneOf":[{"type":"string","description":"The third line of the street address, if applicable.","example":"Bridgewater","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line3.oneOf.0","typeLabel":"string"},{"type":"null","description":"The third line of the street address, if applicable.","example":"Bridgewater","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line3.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line3","typeLabel":"string | null"},"zip":{"oneOf":[{"type":"string","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.zip.oneOf.0","typeLabel":"string"},{"type":"null","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.zip.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.zip","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","description":"The address state","example":"New York","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","description":"The address state","example":"New York","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"first_name":{"oneOf":[{"type":"string","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.last_name","typeLabel":"string | null"},"origin_zip":{"oneOf":[{"type":"string","description":"The zip/postal code of the origin","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.origin_zip.oneOf.0","typeLabel":"string"},{"type":"null","description":"The zip/postal code of the origin","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.origin_zip.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.origin_zip","typeLabel":"string | null"}},"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address","typeLabel":"object | null"},"phone":{"oneOf":[{"type":"object","properties":{"number":{"oneOf":[{"type":"string","description":"The contact number","example":"9123456789","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0.number.oneOf.0","typeLabel":"string"},{"type":"null","description":"The contact number","example":"9123456789","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0.number.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0.number","typeLabel":"string | null"},"country_code":{"oneOf":[{"type":"string","description":"The country code attached to the number","example":"+1","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0.country_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country code attached to the number","example":"+1","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0.country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0.country_code","typeLabel":"string | null"}},"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone","typeLabel":"object | null"},"email":{"oneOf":[{"type":"string","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.email.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.email.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.email","typeLabel":"string | null"}},"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing","typeLabel":"object | null"}},"uniqueKey":"payment_method_data.oneOf.0","typeLabel":"Card · object"},{"type":"object","title":"CardWithNoCVC","description":"The payment method information provided for making a payment","required":["card_with_no_cvc"],"properties":{"card_with_no_cvc":{"type":"object","required":["card_number","card_exp_month","card_exp_year","card_holder_name"],"properties":{"card_number":{"type":"string","description":"The card number","example":"4242424242424242","isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_number","typeLabel":"string"},"card_exp_month":{"type":"string","description":"The card's expiry month","example":"24","isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_exp_month","typeLabel":"string"},"card_exp_year":{"type":"string","description":"The card's expiry year","example":"24","isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_exp_year","typeLabel":"string"},"card_holder_name":{"type":"string","description":"The card holder's name","example":"John Test","isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_holder_name","typeLabel":"string"},"card_issuer":{"oneOf":[{"type":"string","description":"The name of the issuer of card","example":"chase","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_issuer.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the issuer of card","example":"chase","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_issuer.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_issuer","typeLabel":"string | null"},"card_network":{"oneOf":[{"type":"string","description":"Indicates the card network.","enum":["Visa","Mastercard","AmericanExpress","JCB","DinersClub","Discover","CartesBancaires","UnionPay","Interac","RuPay","Maestro","Star","Pulse","Accel","Nyce","Prop","PrivateLabel","Dinacard"],"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_network.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_network.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_network","typeLabel":"enum\u003cstring> | null"},"card_type":{"oneOf":[{"type":"string","example":"CREDIT","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_type.oneOf.0","typeLabel":"string"},{"type":"null","example":"CREDIT","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_type","typeLabel":"string | null"},"card_subtype":{"oneOf":[{"type":"string","description":"The product the card is issued under, e.g. `CLASSIC` or `ELECTRON`","example":"CLASSIC","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_subtype.oneOf.0","typeLabel":"string"},{"type":"null","description":"The product the card is issued under, e.g. `CLASSIC` or `ELECTRON`","example":"CLASSIC","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_subtype.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_subtype","typeLabel":"string | null"},"card_segment_type":{"oneOf":[{"type":"string","enum":["business","commercial","consumer","government"],"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_segment_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_segment_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_segment_type","typeLabel":"enum\u003cstring> | null"},"funding_source":{"oneOf":[{"type":"string","enum":["CREDIT","DEBIT","DEFERRED DEBIT","PREPAID","CHARGE CARD"],"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.funding_source.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.funding_source.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.funding_source","typeLabel":"enum\u003cstring> | null"},"card_issuing_country":{"oneOf":[{"type":"string","example":"INDIA","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_issuing_country.oneOf.0","typeLabel":"string"},{"type":"null","example":"INDIA","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_issuing_country.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_issuing_country","typeLabel":"string | null"},"card_issuing_country_code":{"oneOf":[{"type":"string","example":"IN","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_issuing_country_code.oneOf.0","typeLabel":"string"},{"type":"null","example":"IN","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_issuing_country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.card_issuing_country_code","typeLabel":"string | null"},"bank_code":{"oneOf":[{"type":"string","example":"JP_AMEX","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.bank_code.oneOf.0","typeLabel":"string"},{"type":"null","example":"JP_AMEX","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.bank_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.bank_code","typeLabel":"string | null"},"nick_name":{"oneOf":[{"type":"string","description":"The card holder's nick name","example":"John Test","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.nick_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The card holder's nick name","example":"John Test","uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.nick_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc.nick_name","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_with_no_cvc","typeLabel":"object"},"billing":{"oneOf":[{"type":"object","properties":{"address":{"oneOf":[{"type":"object","description":"Address details","properties":{"city":{"oneOf":[{"type":"string","description":"The city, district, suburb, town, or village of the address.","example":"New York","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","description":"The city, district, suburb, town, or village of the address.","example":"New York","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","US"],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.country","typeLabel":"enum\u003cstring> | null"},"line1":{"oneOf":[{"type":"string","description":"The first line of the street address or P.O. Box.","example":"123, King Street","maxLength":200,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first line of the street address or P.O. Box.","example":"123, King Street","maxLength":200,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","description":"The second line of the street address or P.O. Box (e.g., apartment, suite, unit, or building).","example":"Powelson Avenue","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","description":"The second line of the street address or P.O. Box (e.g., apartment, suite, unit, or building).","example":"Powelson Avenue","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"line3":{"oneOf":[{"type":"string","description":"The third line of the street address, if applicable.","example":"Bridgewater","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line3.oneOf.0","typeLabel":"string"},{"type":"null","description":"The third line of the street address, if applicable.","example":"Bridgewater","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line3.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line3","typeLabel":"string | null"},"zip":{"oneOf":[{"type":"string","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.zip.oneOf.0","typeLabel":"string"},{"type":"null","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.zip.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.zip","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","description":"The address state","example":"New York","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","description":"The address state","example":"New York","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"first_name":{"oneOf":[{"type":"string","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.last_name","typeLabel":"string | null"},"origin_zip":{"oneOf":[{"type":"string","description":"The zip/postal code of the origin","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.origin_zip.oneOf.0","typeLabel":"string"},{"type":"null","description":"The zip/postal code of the origin","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.origin_zip.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.origin_zip","typeLabel":"string | null"}},"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address","typeLabel":"object | null"},"phone":{"oneOf":[{"type":"object","properties":{"number":{"oneOf":[{"type":"string","description":"The contact number","example":"9123456789","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0.number.oneOf.0","typeLabel":"string"},{"type":"null","description":"The contact number","example":"9123456789","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0.number.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0.number","typeLabel":"string | null"},"country_code":{"oneOf":[{"type":"string","description":"The country code attached to the number","example":"+1","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0.country_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country code attached to the number","example":"+1","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0.country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0.country_code","typeLabel":"string | null"}},"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone","typeLabel":"object | null"},"email":{"oneOf":[{"type":"string","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.email.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.email.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.email","typeLabel":"string | null"}},"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing","typeLabel":"object | null"}},"uniqueKey":"payment_method_data.oneOf.1","typeLabel":"CardWithNoCVC · object"},{"type":"object","title":"CardRedirect","description":"The payment method information provided for making a payment","required":["card_redirect"],"properties":{"card_redirect":{"oneOf":[{"type":"object","required":["knet"],"properties":{"knet":{"type":"object","isRequired":true,"uniqueKey":"payment_method_data.oneOf.2.card_redirect.oneOf.0.knet","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.2.card_redirect.oneOf.0","typeLabel":"object"},{"type":"object","required":["benefit"],"properties":{"benefit":{"type":"object","isRequired":true,"uniqueKey":"payment_method_data.oneOf.2.card_redirect.oneOf.1.benefit","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.2.card_redirect.oneOf.1","typeLabel":"object"},{"type":"object","required":["momo_atm"],"properties":{"momo_atm":{"type":"object","isRequired":true,"uniqueKey":"payment_method_data.oneOf.2.card_redirect.oneOf.2.momo_atm","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.2.card_redirect.oneOf.2","typeLabel":"object"},{"type":"object","required":["card_redirect"],"properties":{"card_redirect":{"type":"object","isRequired":true,"uniqueKey":"payment_method_data.oneOf.2.card_redirect.oneOf.3.card_redirect","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.2.card_redirect.oneOf.3","typeLabel":"object"}],"isRequired":true,"uniqueKey":"payment_method_data.oneOf.2.card_redirect","typeLabel":"object"},"billing":{"oneOf":[{"type":"object","properties":{"address":{"oneOf":[{"type":"object","description":"Address details","properties":{"city":{"oneOf":[{"type":"string","description":"The city, district, suburb, town, or village of the address.","example":"New York","maxLength":50,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","description":"The city, district, suburb, town, or village of the address.","example":"New York","maxLength":50,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","US"],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.country","typeLabel":"enum\u003cstring> | null"},"line1":{"oneOf":[{"type":"string","description":"The first line of the street address or P.O. Box.","example":"123, King Street","maxLength":200,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first line of the street address or P.O. Box.","example":"123, King Street","maxLength":200,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","description":"The second line of the street address or P.O. Box (e.g., apartment, suite, unit, or building).","example":"Powelson Avenue","maxLength":50,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","description":"The second line of the street address or P.O. Box (e.g., apartment, suite, unit, or building).","example":"Powelson Avenue","maxLength":50,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"line3":{"oneOf":[{"type":"string","description":"The third line of the street address, if applicable.","example":"Bridgewater","maxLength":50,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.line3.oneOf.0","typeLabel":"string"},{"type":"null","description":"The third line of the street address, if applicable.","example":"Bridgewater","maxLength":50,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.line3.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.line3","typeLabel":"string | null"},"zip":{"oneOf":[{"type":"string","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.zip.oneOf.0","typeLabel":"string"},{"type":"null","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.zip.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.zip","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","description":"The address state","example":"New York","uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","description":"The address state","example":"New York","uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"first_name":{"oneOf":[{"type":"string","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.last_name","typeLabel":"string | null"},"origin_zip":{"oneOf":[{"type":"string","description":"The zip/postal code of the origin","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.origin_zip.oneOf.0","typeLabel":"string"},{"type":"null","description":"The zip/postal code of the origin","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.origin_zip.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0.origin_zip","typeLabel":"string | null"}},"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.address","typeLabel":"object | null"},"phone":{"oneOf":[{"type":"object","properties":{"number":{"oneOf":[{"type":"string","description":"The contact number","example":"9123456789","uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.phone.oneOf.0.number.oneOf.0","typeLabel":"string"},{"type":"null","description":"The contact number","example":"9123456789","uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.phone.oneOf.0.number.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.phone.oneOf.0.number","typeLabel":"string | null"},"country_code":{"oneOf":[{"type":"string","description":"The country code attached to the number","example":"+1","uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.phone.oneOf.0.country_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country code attached to the number","example":"+1","uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.phone.oneOf.0.country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.phone.oneOf.0.country_code","typeLabel":"string | null"}},"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.phone.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.phone.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.phone","typeLabel":"object | null"},"email":{"oneOf":[{"type":"string","uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.email.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.email.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0.email","typeLabel":"string | null"}},"uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.2.billing.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.2.billing","typeLabel":"object | null"}},"uniqueKey":"payment_method_data.oneOf.2","typeLabel":"CardRedirect · object"},{"type":"object","title":"Wallet","description":"The payment method information provided for making a payment","required":["wallet"],"properties":{"wallet":{"oneOf":[{"type":"object","title":"AliPayHkRedirect","required":["ali_pay_hk_redirect"],"properties":{"ali_pay_hk_redirect":{"type":"object","isRequired":true,"uniqueKey":"payment_method_data.oneOf.3.wallet.oneOf.0.ali_pay_hk_redirect","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.3.wallet.oneOf.0","typeLabel":"AliPayHkRedirect · object"},{"type":"object","title":"AliPayQr","required":["ali_pay_qr"],"properties":{"ali_pay_qr":{"type":"object","isRequired":true,"uniqueKey":"payment_method_data.oneOf.3.wallet.oneOf.1.ali_pay_qr","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.3.wallet.oneOf.1","typeLabel":"AliPayQr · object"},{"type":"object","title":"AliPayRedirect","required":["ali_pay_redirect"],"properties":{"ali_pay_redirect":{"type":"object","isRequired":true,"uniqueKey":"payment_method_data.oneOf.3.wallet.oneOf.2.ali_pay_redirect","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.3.wallet.oneOf.2","typeLabel":"AliPayRedirect · object"},{"type":"object","title":"AmazonPay","required":["amazon_pay"],"properties":{"amazon_pay":{"type":"object","required":["checkout_session_id"],"properties":{"checkout_session_id":{"type":"string","description":"Checkout Session identifier","isRequired":true,"uniqueKey":"payment_method_data.oneOf.3.wallet.oneOf.3.amazon_pay.checkout_session_id","typeLabel":"string"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.3.wallet.oneOf.3.amazon_pay","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.3.wallet.oneOf.3","typeLabel":"AmazonPay · object"},{"type":"object","title":"AmazonPayRedirect","required":["amazon_pay_redirect"],"properties":{"amazon_pay_redirect":{"typ
[...]
